CVE-2004-0658

2004-08-06T00:00:00
ID CVE-2004-0658
Type cve
Reporter NVD
Modified 2017-07-10T21:30:21

Description

Integer overflow in the hpsb_alloc_packet function (incorrectly reported as alloc_hpsb_packet) in IEEE 1394 (Firewire) driver 2.4 and 2.6 allows local users to cause a denial of service (crash) and possibly execute arbitrary code via the functions (1) raw1394_write, (2) state_connected, (3) handle_remote_request, or (4) hpsb_make_writebpacket.